# Generated by Django 5.0.6 on 2025-01-03 09:36

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0042_exchangerate"),
    ]

    operations = [
        migrations.AddField(
            model_name="exchangerate",
            name="tab_type",
            field=models.CharField(
                blank=True,
                choices=[("connections", "Connections"), ("tools", "Tools")],
                max_length=30,
                null=True,
            ),
        ),
        migrations.CreateModel(
            name="AgentGraphApiConnections",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(blank=True, max_length=255, null=True)),
                (
                    "auto_call",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("manually", "Manually"),
                            ("daily", "Daily"),
                            ("weekly", "Weekly"),
                            ("monthly", "Monthly"),
                            ("quarterly", "Quarterly"),
                        ],
                        max_length=30,
                        null=True,
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "source_api_connection",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="agent_graphs",
                        to="accounts.sourceapiconnections",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="agent_graphs",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
